/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cviceni5;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.Resource;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.sql.DataSource;

/**
 *
 * @author nav79
 */
@WebServlet(name = "abcd", urlPatterns = {"/prvni"})
public class PrvniServlet extends HttpServlet {

    @Resource(name = "mojeDB")
    private DataSource db;

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        Logger LOG =  Logger.getLogger(this.getClass().getName());
        response.setContentType("text/html;charset=UTF-8");
        try (PrintWriter out = response.getWriter();
                Connection connection = db.getConnection();
                ResultSet rs = connection.createStatement().executeQuery("select * from uzivatel")) {

            out.println("<table>");
            while (rs.next()) {
                out.printf("<tr><td>%s</td><td>%s</td><td>%s</td></tr>",
                        rs.getString("login"), rs.getString("jmeno"), rs.getString("prijmeni"));
            }
            out.println("</table>");

        } catch(SQLException ex){
            LOG.log(Level.SEVERE, ex.getMessage());
        }

    }

    /**
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        System.out.println(String.format("%s : %s %s", request.getParameter("login"), request.getParameter("jmeno"), request.getParameter("prijmeni")));
    }

    /**
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
